\name{support.BWS3-package}
\alias{support.BWS3-package}
\alias{support.BWS3}
\docType{package}

\title{
Tools for Case 3 best-worst scaling
}

\description{
Provides basic functions that support an implementation of Case 3 (multi-profile case) best-worst scaling.
}

\details{
Case 3 (multi-profile case) best-worst scaling (BWS) is a question-based survey method to elicit people's preferences for attribute levels. A Case 3 BWS question consists of three or more profiles. Each profile has two or more attributes and each attribute has two or more levels. Respondents are asked to select the best and worst profiles for each question. Analyzing the responses to the questions reveals the people's preferences for the attribute levels. Refer to Hensher et al. (2015), Lancsar et al. (2013), Louviere et al. (2015), and Marley and Pihlens (2012) for details. 
}

\section{Acknowledgments}{
I would like to thank Professor Kazuo Sato for his kind support. This work was supported by JSPS KAKENHI Grant Numbers JP16K07886 and JP20K06251.
}

\author{
Hideo Aizaki
}

\references{
Hensher DA, Rose JM, Greene WH (2015) \emph{Applied Choice Analysis}. 2nd edition. Cambridge University Press.

Louviere JJ, Flynn TN, Marley AAJ (2015) \emph{Best-Worst Scaling: Theory, Methods and Applications}. Cambridge University Press.

Lancsar E, Louviere J, Donaldson C, Currie G, Burgess L (2013) Best worst discrete choice experiments in health: Methods and an application. \emph{Social Science & Medicine} \bold{76}: 74--82.

Marley AAJ, Pihlens D (2012) Models of best-worst choice and ranking among multiattribute options (profiles). \emph{Journal of Mathematical Psychology} \bold{56}: 24--34.

}

\keyword{ package }

